Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezarticle/user/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 9891 2003-09-04 16:13:04Z br $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "ezarticle/classes/ezarticle.php" );
28 // include_once( "ezarticle/classes/ezarticlecategory.php" );
29 // include_once( "ezuser/classes/ezusergroup.php" );
30 // include_once( "ezuser/classes/ezobjectpermission.php" );
31 // include_once( "ezuser/classes/ezuser.php" );
32
33 $PageCaching = $ini->variable( "eZArticleMain", "PageCaching" );
34 $UserComments = $ini->variable( "eZArticleMain", "UserComments" );
35
36 $GlobalSectionID = $ini->variable( "eZArticleMain", "DefaultSection" );
37
38 switch ( $url_array[2] )
39 {
40 case "mailtofriend":
41 {
42 $ArticleID = $url_array[3];
43 include( "kernel/ezarticle/user/mailtofriend.php" );
44 }
45 break;
46
47 case "topiclist":
48 {
49 $TopicID = $url_array[3];
50 include( "kernel/ezarticle/user/topiclist.php" );
51 }
52 break;
53
54 case "sitemap":
55 {
56 if ( isset( $url_array[3] ) && $url_array[3] != '' )
57 $CategoryID = $url_array[3];
58 else
59 $CategoryID = 0;
60 include( "kernel/ezarticle/user/sitemap.php" );
61 }
62 break;
63
64 case "frontpage":
65 {
66 if ( isset( $url_array[3] ) )
67 {
68 $GlobalSectionID = $url_array[3];
69 $CategoryID = $url_array[3];
70
71 }
72 elseif ( !isset( $url_array[3] ) )
73 {
74 $GlobalSectionID = 1;
75 $CategoryID = 1;
76 }
77
78 // if file exists... evrything is ok..
79 // if not.. check permission, then run page if ok
80 $user = eZUser::currentUser();
81 $groupstr = "";
82 $cacheFile = false;
83
84 if ( $user && get_class( $user ) == "eZUser" )
85 {
86 $groupIDArray =& $user->groups( false );
87 sort( $groupIDArray );
88 $first = true;
89 foreach ( $groupIDArray as $groupID )
90 {
91 $first ? $groupstr .= "$groupID" : $groupstr .= "-$groupID";
92 $first = false;
93 }
94 }
95 else
96 $user = 0;
97
98 if ( $PageCaching == "enabled" )
99 {
100 //include_once( "classes/ezcachefile.php" );
101 $file = new eZCacheFile( "kernel/ezarticle/cache/", array( "articlefrontpage", $GlobalSectionID, $groupstr ),
102 "cache", "," );
103
104 $cachedFile = $file->filename( true );
105
106 if ( $file->exists() && $userID !== null)
107 {
108 include( $cachedFile );
109 }
110 else
111 {
112 $GenerateStaticPage = "true";
113 include( "kernel/ezarticle/user/frontpage.php" );
114 }
115 }
116 else
117 {
118 $GenerateStaticPage = false;
119 include( "kernel/ezarticle/user/frontpage.php" );
120 }
121
122 }
123 break;
124
125 case "homepage":
126 {
127 if ( isset( $url_array[3] ) )
128 $GlobalSectionID = $url_array[3];
129
130 // if file exists... evrything is ok..
131 // if not.. check permission, then run page if ok
132 $user =& eZUser::currentUser();
133 $groupstr = "";
134 if ( is_a( $user, "eZUser" ) )
135 {
136 $groupIDArray =& $user->groups( false );
137 sort( $groupIDArray );
138 $first = true;
139 foreach ( $groupIDArray as $groupID )
140 {
141 $first ? $groupstr .= "$groupID" : $groupstr .= "-$groupID";
142 $first = false;
143 }
144 }
145 else
146 $user = 0;
147
148 if ( $PageCaching == "enabled" )
149 {
150 // include_once( "classes/ezcachefile.php" );
151 $file = new eZCacheFile( "kernel/ezarticle/cache/", array( "articlefrontpage", $GlobalSectionID, $groupstr ),
152 "cache", "," );
153
154 $cachedFile = $file->filename( true );
155
156 if ( $file->exists() )
157 {
158 $GenerateStaticPage = "false";
159 include( $cachedFile );
160 }
161 else
162 {
163 $GenerateStaticPage = "true";
164 include( "kernel/ezarticle/user/homepage.php" );
165 }
166 }
167 else
168 {
169 $GenerateStaticPage = "false";
170 include( "kernel/ezarticle/user/homepage.php" );
171 }
172
173 }
174 break;
175
176 case "newsgroup":
177 {
178 if ( isset( $url_array[3] ) )
179 $CategoryID = $url_array[3];
180 else
181 $CategoryID = "";
182
183 include( "kernel/ezarticle/user/newsgroup.php" );
184 }
185 break;
186
187 case "author":
188 {
189 $Action = $url_array[3];
190 switch ( $Action )
191 {
192 case "list":
193 {
194 if ( isset( $url_array[4] ) )
195 $SortOrder = $url_array[4];
196 else
197 $SortOrder = "Name";
198 include( "kernel/ezarticle/user/authorlist.php" );
199 break;
200 }
201 case "view":
202 {
203 $AuthorID = $url_array[4];
204 $SortOrder = $url_array[5];
205 $Offset = $url_array[6];
206 include( "kernel/ezarticle/user/authorview.php" );
207 break;
208 }
209 }
210 break;
211 }
212
213 case "archive":
214 {
215 $CategoryID = $url_array[3];
216 if ( !isset( $CategoryID ) || ( $CategoryID == "" ) )
217 $CategoryID = 0;
218
219 if ( isset( $url_array[4] ) )
220 $Offset = $url_array[4];
221 else
222 $Offset = 0;
223
224 if ( !is_numeric( $Offset ) )
225 $Offset = 0;
226
227
228 // if file exists... evrything is ok..
229 // if not.. check permission, then run page if ok
230 $user =& eZUser::currentUser();
231 $groupstr = "";
232 if ( is_a( $user, "eZUser" ) )
233 {
234 $groupstr = $user->groupString();
235 }
236 else
237 $user = 0;
238
239 // print( "Checking category: $CategoryID <br>" );
240
241 if ( $PageCaching == "enabled" )
242 {
243 //$CategoryID = $url_array[3];
244
245 // include_once( "classes/ezcachefile.php" );
246 $file = new eZCacheFile( "kernel/ezarticle/cache/", array( "articlelist", $CategoryID, $Offset, $groupstr ),
247 "cache", "," );
248
249 $cachedFile = $file->filename( true );
250 // print( "Cache file name: $cachedFile" );
251
252 $articleCategoryTest = new eZArticleCategory( $CategoryID );
253 $isOwner = $articleCategoryTest->isOwner( $user, $CategoryID);
254
255 if ( $file->exists() )
256 {
257 include( $cachedFile );
258 }
259 else if ( $CategoryID == 0 || eZObjectPermission::hasPermission( $CategoryID, "article_category", 'r' ) ||
260 $isOwner )// check if user really has permissions to browse this category
261 {
262 $GenerateStaticPage = "true";
263
264 include( "kernel/ezarticle/user/articlelist.php" );
265 }
266 else
267 {
268 eZHTTPTool::header( "Location: /error/403" );
269 exit();
270
271 }
272 }
273 else if ( $CategoryID == 0 || eZObjectPermission::hasPermission( $CategoryID, "article_category", 'r' )
274 || eZArticleCategory::isOwner( $user, $CategoryID ) )
275 {
276 include( "kernel/ezarticle/user/articlelist.php" );
277 }
278 else
279 {
280 eZHTTPTool::header( "Location: /error/403" );
281 exit();
282 }
283 }
284 break;
285
286
287 case "search":
288 {
289 if ( $url_array[3] == "advanced" )
290 {
291 include( "kernel/ezarticle/user/searchform.php" );
292 }
293 else
294 {
295 $Offset = 0;
296 if ( $url_array[3] == "parent" )
297 {
298 $SearchText = urldecode( $url_array[4] );
299 if ( $url_array[5] != urlencode( "+" ) )
300 $StartStamp = urldecode( $url_array[5] );
301 if ( $url_array[6] != urlencode( "+" ) )
302 $StopStamp = urldecode( $url_array[6] );
303 if ( $url_array[7] != urlencode( "+" ) )
304 $CategoryArray = explode( "-", urldecode( $url_array[7] ) );
305 if ( $url_array[8] != urlencode( "+" ) )
306 $ContentsWriterID = urldecode( $url_array[8] );
307 if ( $url_array[9] != urlencode( "+" ) )
308 $PhotographerID = urldecode( $url_array[9] );
309 $Offset = $url_array[10];
310 }
311
312 /*
313 echo "<pre>";
314 print_r ( $url_array );
315 echo "</pre>";
316 exit();
317 */
318
319 include( "kernel/ezarticle/user/search.php" );
320 }
321 }
322 break;
323
324 case "index":
325 {
326 $CurrentIndex = urldecode( isset($url_array[3])?$url_array[3]:'' );
327
328 $user =& eZUser::currentUser();
329 $groupstr = "";
330 if ( is_a( $user, "eZUser" ) )
331 {
332 $groupIDArray = $user->groups( false );
333 sort( $groupIDArray );
334 $first = true;
335 foreach ( $groupIDArray as $groupID )
336 {
337 $first ? $groupstr .= $groupID : $groupstr .= "-$groupID";
338 $first = false;
339 }
340 }
341 // include_once( "classes/ezcachefile.php" );
342 $file = new eZCacheFile( "kernel/ezarticle/cache/", array( "articleindex", $groupstr, $CurrentIndex ),
343 "cache", "," );
344
345 $cachedFile = $file->filename( true );
346 if ( $file->exists() )
347 {
348 include( $cachedFile );
349 }
350 else
351 {
352 $GenerateStaticPage = "true";
353 include( "kernel/ezarticle/user/index.php" );
354 }
355 }
356 break;
357
358 case "extendedsearch":
359 {
360 if ( !isset( $Category ) and count( $url_array ) > 5 )
361 {
362 $Category = trim( urldecode( $url_array[4] ) );
363 }
364 if ( !isset( $SearchText ) and count( $url_array ) > 5 )
365 {
366 $SearchText = trim( urldecode( $url_array[3] ) );
367 }
368 if ( count( $url_array ) > 5 )
369 $Offset = $url_array[5];
370 if ( count( $url_array ) > 5 )
371 $Search = true;
372 include( "kernel/ezarticle/user/extendedsearch.php" );
373 }
374 break;
375
376 case "articleheaderlist":
377 {
378 $CategoryID = $url_array[3];
379 if ( !isset( $CategoryID ) || ( $CategoryID == "" ) )
380 $CategoryID = 0;
381
382 include( "kernel/ezarticle/user/articleheaderlist.php" );
383 }
384 break;
385
386 case "view":
387 case "articleview":
388 {
389 $StaticRendering = false;
390 $ArticleID = $url_array[3];
391 $PageNumber= $url_array[4];
392 $CategoryID = isset($url_array[5])?$url_array[5]:-1;
393 if ( $PageNumber != -1 )
394 if ( !isset( $PageNumber ) || ( $PageNumber == "" ) || ( $PageNumber < 1 ) )
395 $PageNumber= 1;
396
397 // if file exists... evrything is ok..
398 // if not.. check permission, then run page if ok
399 $user =& eZUser::currentUser();
400 $groupstr = "";
401 if ( is_a( $user, "eZUser" ) )
402 {
403 $groupIDArray =& $user->groups( false );
404 sort( $groupIDArray );
405 $first = true;
406 foreach ( $groupIDArray as $groupID )
407 {
408 $first ? $groupstr .= "$groupID" : $groupstr .= "-$groupID";
409 $first = false;
410 }
411 }
412 else
413 $user = 0;
414
415 $article = new eZArticle( $ArticleID );
416 $definition = $article->categoryDefinition( false );
417
418 $showComments = false;
419 if ( $PageCaching == "enabled" )
420 {
421 $cachedFile = "kernel/ezarticle/cache/articleview," . $ArticleID . ",". $PageNumber . "," . $CategoryID . "," . ( isset( $PrintableVersion ) && $PrintableVersion == "enabled" ) . "," . $groupstr .".cache";
422 if ( file_exists( $cachedFile ) )
423 {
424 include( $cachedFile );
425 $showComments = true;
426 }
427 else if ( eZObjectPermission::hasPermissionWithDefinition( $ArticleID, "article_article", 'r', false, $definition )
428 || eZArticle::isAuthor( $user, $ArticleID ) )
429 {
430 $GenerateStaticPage = "true";
431
432 include( "kernel/ezarticle/user/articleview.php" );
433 $showComments = true;
434 }
435 else
436 {
437 }
438 }
439 else if ( eZObjectPermission::hasPermissionWithDefinition( $ArticleID, "article_article", 'r', false, $definition )
440 || eZArticle::isAuthor( $user, $ArticleID ) )
441 {
442 include( "kernel/ezarticle/user/articleview.php" );
443 $showComments = true;
444 }
445
446 /* Should there be permissions here? */
447 if ( $showComments == true )
448 {
449 if ( ( !isset($PrintableVersion) || $PrintableVersion != "enabled" ) && ( $UserComments == "enabled" ) )
450 {
451 $RedirectURL = "/article/view/$ArticleID/$PageNumber/";
452 $article = new eZArticle( $ArticleID );
453 if ( ( $article->id() >= 1 ) && $article->discuss() )
454 {
455 for ( $i = 0; $i < count( $url_array ); $i++ )
456 {
457 if ( ( $url_array[$i] ) == "parent" )
458 {
459 $next = $i + 1;
460 $Offset = $url_array[$next];
461 }
462 }
463 $forum = $article->forum();
464 $ForumID = $forum->id();
465 $MessageCount = $forum->messageCount( false, true );
466 include( "kernel/ezforum/user/messagesimplelist.php" );
467 }
468 }
469 }
470 }
471 break;
472
473 case "articleuncached":
474 {
475 $ViewMode = "static";
476
477 $StaticRendering = true;
478 $ArticleID = $url_array[3];
479 $PageNumber= $url_array[4];
480 $CategoryID = $url_array[5];
481
482 $user =& eZUser::currentUser();
483
484 $article = new eZArticle( $ArticleID );
485 $definition = $article->categoryDefinition( false );
486
487 if ( eZObjectPermission::hasPermissionWithDefinition( $ArticleID, "article_article", 'r', false, $definition )
488 || eZArticle::isAuthor( $user, $ArticleID ) )
489 {
490 if ( !isset( $PageNumber ) || ( $PageNumber == "" ) || ( $PageNumber < 1 ) )
491 $PageNumber= 1;
492
493 include( "kernel/ezarticle/user/articleview.php" );
494 }
495 }
496 break;
497
498 case "print":
499 case "articleprint":
500 {
501 $PrintableVersion = "enabled";
502
503 $StaticRendering = false;
504 $ArticleID = $url_array[3];
505 $PageNumber= $url_array[4];
506 $CategoryID = $url_array[5];
507
508 // if file exists... evrything is ok..
509 // if not.. check permission, then run page if ok
510 $user =& eZUser::currentUser();
511 $groupstr = "";
512 if ( is_a( $user, "eZUser" ) )
513 {
514 $groupIDArray = $user->groups( false );
515 sort( $groupIDArray );
516 $first = true;
517 foreach ( $groupIDArray as $groupID )
518 {
519 $first ? $groupstr .= "$groupID" : $groupstr .= "-$groupID";
520 $first = false;
521 }
522 }
523 else
524 $user = 0;
525
526 if ( $PageNumber != -1 )
527 {
528 if ( !isset( $PageNumber ) || ( $PageNumber == "" ) )
529 $PageNumber = -1;
530 else if ( $PageNumber < 1 )
531 $PageNumber = 1;
532 }
533
534 $article = new eZArticle( $ArticleID );
535 $definition = $article->categoryDefinition( true );
536 $definition = $definition->id();
537
538 if ( $PageCaching == "enabled" )
539 {
540 $cachedFile = "kernel/ezarticle/cache/articleprint," . $ArticleID . ",". $PageNumber . "," . $CategoryID . "," . $groupstr .".cache";
541 if ( file_exists( $cachedFile ) )
542 {
543 include( $cachedFile );
544 }
545 else if ( eZObjectPermission::hasPermissionWithDefinition( $ArticleID, "article_article", 'r', false, $definition )
546 || eZArticle::isAuthor( $user, $ArticleID ) )
547 {
548 $GenerateStaticPage = "true";
549
550 include( "kernel/ezarticle/user/articleview.php" );
551 }
552 }
553 else if ( eZObjectPermission::hasPermissionWithDefinition( $ArticleID, "article_article", 'r', false, $definition )
554 || eZArticle::isAuthor( $user, $ArticleID ) )
555 {
556 include( "kernel/ezarticle/user/articleview.php" );
557 }
558 }
559 break;
560
561 case "static":
562 case "articlestatic":
563 {
564 $ViewMode = "static";
565
566 $StaticRendering = true;
567 $ArticleID = $url_array[3];
568 if ( isset( $url_array[4] ) )
569 $PageNumber = $url_array[4];
570 else
571 $PageNumber = "";
572
573 // if file exists... evrything is ok..
574 // if not.. check permission, then run page if ok
575 $user =& eZUser::currentUser();
576 $groupstr = "";
577 if ( is_a( $user, "eZUser" ) )
578 {
579 $groupIDArray = $user->groups( false );
580 sort( $groupIDArray );
581 $first = true;
582 foreach ( $groupIDArray as $groupID )
583 {
584 $first ? $groupstr .= "$groupID" : $groupstr .= "-$groupID";
585 $first = false;
586 }
587 }
588 else
589 $user = 0;
590
591 if ( !isset( $CategoryID ) )
592 $CategoryID = eZArticle::categoryDefinitionStatic( $ArticleID );
593
594 $GlobalSectionID = eZArticleCategory::sectionIDStatic( $CategoryID );
595
596 if ( !isset( $PageNumber ) || ( $PageNumber == "" ) || ( $PageNumber < 1 ) )
597 $PageNumber= 1;
598
599 $article = new eZArticle( $ArticleID );
600 $definition = $article->categoryDefinition( true );
601 $definition = $definition->id();
602
603 if ( $PageCaching == "enabled" )
604 {
605 $cachedFile = "kernel/ezarticle/cache/articleview," . $ArticleID . ",". $PageNumber . "," . $CategoryID . "," . $groupstr .".cache";
606 if ( file_exists( $cachedFile ) )
607 {
608 include( $cachedFile );
609 }
610 else if ( eZObjectPermission::hasPermissionWithDefinition( $ArticleID, "article_article", 'r', false, $definition )
611 || eZArticle::isAuthor( $user, $ArticleID ) )
612 {
613 $GenerateStaticPage = "true";
614
615 include( "kernel/ezarticle/user/articleview.php" );
616 }
617 }
618 else if ( eZObjectPermission::hasPermissionWithDefinition( $ArticleID, "article_article", 'r', false, $definition )
619 || eZArticle::isAuthor( $user, $ArticleID ) )
620 {
621
622 include( "kernel/ezarticle/user/articleview.php" );
623 }
624 }
625 break;
626
627 case "rss":
628 case "rssheadlines":
629 {
630 include( "kernel/ezarticle/user/articlelistrss.php" );
631 }
632 break;
633
634 case "articleedit":
635 {
636 if ( eZUser::currentUser() != false &&
637 $ini->variable( "eZArticleMain", "UserSubmitArticles" ) == "enabled" )
638 {
639 switch ( $url_array[3] )
640 {
641 case "new":
642 {
643 $Action = "New";
644 include( "kernel/ezarticle/user/articleedit.php" );
645 break;
646 }
647 case "edit":
648 {
649 $Action = "Edit";
650 //PBo added this
651 $ArticleID = $url_array[4];
652 //end pbo mods
653 include( "ezarticle/user/articleedit.php" );
654 break;
655 }
656 case "insert":
657 {
658 $Action = "Insert";
659 $ArticleID = $url_array[4];
660 include( "kernel/ezarticle/user/articleedit.php" );
661 break;
662 }
663 case "update":
664 {
665 $Action = "Update";
666 $ArticleID = $url_array[4];
667 include( "kernel/ezarticle/user/articleedit.php" );
668 break;
669 }
670 case "cancel":
671 {
672 $Action = "Cancel";
673 $ArticleID = $url_array[4];
674 include( "kernel/ezarticle/user/articleedit.php" );
675 break;
676 }
677 case "imagelist" :
678 {
679 $ArticleID = $url_array[4];
680 if ( eZObjectPermission::hasPermission( $ArticleID, "article_article", 'w' )
681 || eZArticle::isAuthor( $user, $ArticleID ) )
682 include( "kernel/ezarticle/user/imagelist.php" );
683 break;
684 }
685 case "filelist" :
686 {
687 $ArticleID = $url_array[4];
688 if ( eZObjectPermission::hasPermission( $ArticleID, "article_article", 'w' )
689 || eZArticle::isAuthor( $user, $ArticleID ) )
690 include( "kernel/ezarticle/user/filelist.php" );
691 break;
692 }
693 case "imageedit" :
694 {
695 switch ( $url_array[4] )
696 {
697 case "new" :
698 {
699 $Action = "New";
700 $ArticleID = $url_array[5];
701 if ( eZObjectPermission::hasPermission( $ArticleID, "article_article", 'w' )
702 || eZArticle::isAuthor( $user, $ArticleID ) )
703 include( "kernel/ezarticle/user/imageedit.php" );
704 }
705 break;
706
707 case "edit" :
708 {
709 $Action = "Edit";
710 $ArticleID = $url_array[6];
711 $ImageID = $url_array[5];
712 if ( eZObjectPermission::hasPermission( $ArticleID, "article_article", 'w' )
713 || eZArticle::isAuthor( $user, $ArticleID ) )
714 include( "kernel/ezarticle/user/imageedit.php" );
715 }
716 break;
717
718 case "storedef" :
719 {
720 $Action = "StoreDef";
721 if ( isset( $DeleteSelected ) )
722 $Action = "Delete";
723 $ArticleID = $url_array[5];
724 if ( eZObjectPermission::hasPermission( $ArticleID, "article_article", 'w' )
725 || eZArticle::isAuthor( $user, $ArticleID ) )
726 include( "kernel/ezarticle/user/imageedit.php" );
727 }
728 break;
729
730 default :
731 {
732 if ( eZObjectPermission::hasPermission( $ArticleID, "article_article", 'w' )
733 || eZArticle::isAuthor( $user, $ArticleID ) )
734 include( "kernel/ezarticle/user/imageedit.php" );
735 }
736 }
737 }
738 break;
739
740 case "fileedit" :
741 {
742 switch ( $url_array[4] )
743 {
744 case "new" :
745 {
746 $Action = "New";
747 $ArticleID = $url_array[5];
748 if ( eZObjectPermission::hasPermission( $ArticleID, "article_article", 'w' )
749 || eZArticle::isAuthor( $user, $ArticleID ) )
750 include( "kernel/ezarticle/user/fileedit.php" );
751 }
752 break;
753
754 case "delete" :
755 {
756 $Action = "Delete";
757 $ArticleID = $url_array[6];
758 $FileID = $url_array[5];
759 if ( eZObjectPermission::hasPermission( $ArticleID, "article_article", 'w' )
760 || eZArticle::isAuthor( $user, $ArticleID ) )
761 include( "kernel/ezarticle/user/fileedit.php" );
762 }
763 break;
764
765 default :
766 {
767 if ( eZObjectPermission::hasPermission( $ArticleID, "article_article", 'w' )
768 || eZArticle::isAuthor( $user, $ArticleID ) )
769 include( "kernel/ezarticle/user/fileedit.php" );
770 }
771 }
772 }
773 }
774 }
775 else
776 {
777 // include_once( "classes/ezhttptool.php" );
778 eZHTTPTool::header( "Location: /article/archive/" );
779 exit();
780 }
781 }
782 break;
783
784 // XML rpc interface
785 case "xmlrpc" :
786 {
787 include( "ezarticle/xmlrpc/xmlrpcserver.php" );
788 }
789 break;
790 }
791
792 ?>
$i
$i
Definition: admin/adlist.php:91
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
$forum
$forum
Definition: admin/forumlist.php:50
$userID
else $userID
Definition: appointmentedit.php:121
$article
$article
Definition: articlelog.php:45
eZArticleCategory
Definition: ezarticlecategory.php:45
eZArticleCategory\isOwner
isOwner( $user, $categoryID)
Definition: ezarticlecategory.php:825
eZArticleCategory\sectionIDStatic
static sectionIDStatic($categoryID)
Definition: ezarticlecategory.php:662
eZArticle
Definition: ezarticle.php:82
eZArticle\isAuthor
static isAuthor( $user, $articleID)
Definition: ezarticle.php:2672
eZArticle\categoryDefinitionStatic
static categoryDefinitionStatic( $id)
Definition: ezarticle.php:2541
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZObjectPermission\hasPermission
static hasPermission( $objectID, $moduleTable, $permission, $user=false)
Definition: ezobjectpermission.php:76
eZObjectPermission\hasPermissionWithDefinition
static hasPermissionWithDefinition( $objectID, $moduleTable, $permission, $user=false, $categoryID=false)
Definition: ezobjectpermission.php:141
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$ini
$ini
Definition: classes/admin/linklist.php:64
$Action
$Action
Definition: companysearch.php:80
$ImageID
$ImageID
Definition: companytypelist.php:201
file_exists
static file_exists( $inifilename)
Definition: eZPBINIFile.php:195
$ArticleID
$ArticleID
Definition: export.php:48
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$SearchText
$SearchText
Definition: ezaddress/admin/typelist.php:143
$GlobalSectionID
$GlobalSectionID
Definition: ezarticle/user/datasupplier.php:36
$UserComments
$UserComments
Definition: ezarticle/user/datasupplier.php:34
$PageCaching
$PageCaching
Definition: ezarticle/user/datasupplier.php:33
$Offset
$Offset
Definition: ezarticle/user/search.php:110
$file
$file
Definition: ezfilemanager/user/filedownload.php:35
$RedirectURL
$RedirectURL
Definition: ezforum/user/userlogin.php:91
$groupID
$groupID
Definition: ezgroupeventcalendar/user/dayview.php:90
$cachedFile
$cachedFile
Definition: eznewsfeed/user/headlines.php:109
exit
exit
Definition: folder.php:81
$GenerateStaticPage
$GenerateStaticPage
Definition: quizscores.php:95
$user
$user
Definition: user/adlist.php:39
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.